@tailwind base;
@tailwind components;
@tailwind utilities;

*{
    font-family:Inter !important;
    --fc-button-bg-color: rgba(129,140,248,1);
    --fc-button-border-color: rgba(129,140,248,1);
    --fc-button-active-bg-color: rgba(79,70,229,1);
    --fc-button-active-border-color: rgba(79,70,229,1);
    --fc-button-hover-bg-color: rgba(99,102,241,1);
    --fc-button-hover-border-color: rgba(99,102,241,1);
    --balloon-color: rgba(79,70,229,1);
}

.main-container{
    grid-template-columns: 300px 1fr;
    grid-template-rows: auto;
}

.single-group{
    min-height:130px;
}

#testo_mail{
    min-height:200px;
}

.swal-wide{
    width:800px !important;
}

.swal-ultrawide{
    width:90% !important;
}

.swal2-popup{
    background:#f4f4f4 !important;
}

.swal2-title{
    text-align:left !important;
    color:rgb(129, 140, 248) !important;
}

.swal2-header {
    align-items: flex-start !important;;
}

.swal2-close:focus {
    outline: 0;
    box-shadow: none !important;
}

.swal2-close:hover {
    color: #747474 !important;
}

.swal-settings-mobile{
    padding:35px 15px !important;
}

.swal-settings-mobile .swal2-header{
    padding:10px 0px !important;
    line-height:1 !important;
}

.swal-settings-mobile .swal2-content{
    padding:0px !important;
}

[data-balloon][data-balloon-break]::before {
    white-space: normal;
}


[aria-label][data-balloon-pos="down-left"][data-balloon-break]:after {
    white-space: pre !important;
    max-width: 100%;
    z-index:20;
    border-radius:6px !important;
}

#generation-overlay,
#send-overlay,
#notifies-overlay,
#load-overlay,
#registrationForm-overlay{
    z-index:-1;
    opacity:0;
    background:rgba(255,255,255,0.95);
    transition: opacity 0.2s, z-index 0s 0.3s;
}

#notifies-overlay{
    z-index:-1;
    opacity:0;
    background:rgba(0,0,0,0.6);
    transition: opacity 0.2s 0.4s, z-index 0s 0.7s;
}

#notifies-overlay.vis{
    transition: opacity 0.2s, z-index 0s 0.3s;
}

.notifies-panel{
    -webkit-box-shadow: 0 0 100px 0 rgba(0,0,0,0.3);
    box-shadow: 0 0 100px 0 rgba(0,0,0,0.3);
    opacity:0;
    transform:translateX(100%);
    transition:transform 0.4s cubic-bezier(0.215, 0.61, 0.355, 1), opacity 0s 0.4s;
}

#notifies-overlay.vis .notifies-panel{
    opacity:1;
    transform:translateX(0);
    transition:all 1s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#generation-overlay.vis,
#send-overlay.vis,
#notifies-overlay.vis,
#load-overlay.vis,
#registrationForm-overlay.vis{
    z-index:100;
    opacity:1;
    transition: opacity 0.2s 0.1s, z-index 0s;
}

#generation-bar .background-bar,
#send-bar .background-bar{
    height:1px;
}

#generation-bar .foreground-bar,
#send-bar .foreground-bar{
    height:3px;
    top:-1px;
    width:100%;
    transform:scaleX(0);
    transform-origin:left center;
    transition: all 0.2s;
}

#attestati-generati_length,
#attestati-generati_filter,
#attestati-generati_info,
#attestati-generati_paginate{
    margin:10px;
}

table.dataTable thead th, table.dataTable tbody th, table.dataTable tbody td, table.dataTable tfoot th {
    padding: 15px 10px !important;
}

table.dataTable thead th, table.dataTable thead td {
    border-bottom: 1px solid #ddd !important;
}

table.dataTable tfoot th, table.dataTable tfoot td {
    border-top: 1px solid #ddd !important;
}

.stepnumber{
    left:-42px;
}

body.swal2-shown > [aria-hidden="true"] {
    filter: blur(10px);
}

body > * {
    transition: 0.1s filter linear;
}

.dt-buttons{
    margin:10px;
    text-align:center;
}

.dt-button.buttons-excel:before{
    display:inline-block;
    content: "Esporta in ";
    margin-right:3px;
}

.dataTables_length,.dt-buttons,.dataTables_filter{
    width:calc(calc(100% / 3) - 20px) !important;
    display:inline-block !important;
    float:none !important;
    vertical-align:middle !important;
}

.dataTables_length,
.dataTables_info{
    padding-left:12px;
}

.swal2-content .dataTables_length,.swal2-content .dt-buttons,.swal2-content .dataTables_filter{
    width:calc(calc(100% / 2) - 20px) !important;
    display:inline-block !important;
    float:none !important;
    vertical-align:middle !important;
}

button.dt-button, div.dt-button, a.dt-button, input.dt-button{
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    margin-right: 0px !important;
    margin-bottom: 0 !important;
    padding: 5px 10px;
    border: 2px solid rgba(129, 140, 248, 1) !important;
    border-radius: 18px !important;
    cursor: pointer;
    font-size: 14px !important;
    line-height: 16px !important;
    color: rgba(129, 140, 248, 1) !important;
    white-space: nowrap;
    overflow: hidden;
    background: transparent !important;
    transition:all 0.2s;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    border:1px solid transparent !important;
    border-radius: 12px;
    background: rgba(129, 140, 248, 1) !important;
    color:white !important;
    opacity:0.7;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, 
.dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
    border:1px solid transparent !important;
    border-radius: 12px;
    background: rgba(129, 140, 248, 1) !important;
    color:white !important;
    opacity:1;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled, 
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, 
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
    cursor: default;
    color: #666 !important;
    border: 1px solid transparent;
    background: transparent !important;
    box-shadow: none;
    opacity:1 !important;
}

#mail-non-inviate_wrapper .dataTables_filter input {
    border: 1px solid #fff;
    border-radius: 3px;
    padding: 5px;
    background-color: transparent;
    margin-left: 3px;
}

#mail-non-inviate_wrapper .dataTables_length select {
    border: 1px solid #fff !important;
}

#mail-non-inviate_wrapper .dataTables_paginate .paginate_button:hover {
    border:1px solid transparent !important;
    border-radius: 12px;
    background: #fff !important;
    color:rgba(248, 113, 113, 1) !important;
    opacity:0.7;
}

#mail-non-inviate_wrapper .dataTables_paginate .paginate_button.disabled, 
#mail-non-inviate_wrapper .dataTables_paginate .paginate_button.disabled:hover, 
#mail-non-inviate_wrapper .dataTables_paginate .paginate_button.disabled:active {
    cursor: default;
    color: #fff !important;
    border: 1px solid transparent !important;
    background: transparent !important;
    box-shadow: none;
    opacity:0.8;
}

#mail-non-inviate_wrapper .dataTables_paginate .paginate_button.current, 
#mail-non-inviate_wrapper .dataTables_paginate .paginate_button.current:hover {
    border:1px solid transparent !important;
    border-radius: 12px;
    background: #fff !important;
    color:rgba(248, 113, 113, 1) !important;
    opacity:1;
}

#mail-non-inviate_wrapper .dataTables_filter input::placeholder {
    color: #fff;
}

#mail-non-inviate_wrapper button.dt-button,
#mail-non-inviate_wrapper div.dt-button,
#mail-non-inviate_wrapper a.dt-button,
#mail-non-inviate_wrapper input.dt-button {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    margin-right: 0px !important;
    margin-bottom: 0 !important;
    padding: 5px 10px;
    border: 2px solid rgba(255,255,255, 1) !important;
    border-radius: 18px !important;
    cursor: pointer;
    font-size: 14px !important;
    line-height: 16px !important;
    color: rgba(255,255,255, 1) !important;
    white-space: nowrap;
    overflow: hidden;
    background: transparent !important;
    transition: all 0.2s;
}

#mail-non-inviate_wrapper button.dt-button:hover, 
#mail-non-inviate_wrapper div.dt-button:hover, 
#mail-non-inviate_wrapper a.dt-button:hover, 
#mail-non-inviate_wrapper input.dt-button:hover{
    background: rgba(255, 255, 255, 1) !important;
    color:rgba(248, 113, 113, 1) !important;
}

#mail-non-inviate_wrapper .dataTables_length, 
#mail-non-inviate_wrapper .dataTables_filter, 
#mail-non-inviate_wrapper .dataTables_info, 
#mail-non-inviate_wrapper .dataTables_processing, 
#mail-non-inviate_wrapper .dataTables_paginate{
    color:#fff;
}

#mail-non-inviate th,
#mail-non-inviate td{
    color:rgb(31, 41, 55);
}

.fc .fc-view-harness {
    background: #fff;
    --tw-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25);
    box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);	
}

.fc .fc-button {
    border-radius:8px !important;
}

.fc-direction-ltr .fc-button-group > .fc-button:not(:last-child) {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0  !important;
}

.fc-direction-ltr .fc-button-group > .fc-button:not(:first-child) {
    margin-left: -1px;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.fc .fc-button-primary:not(:disabled):active:focus, .fc .fc-button-primary:not(:disabled).fc-button-active:focus{
    box-shadow:none !important;
}

.bg-login{
    background-image: url("../img/bg-login.jpg");
    background-size:cover;
    background-position: center center;
}

.certificator-logo{
    background: linear-gradient(90deg, rgba(79,70,229,1) 0%, rgba(180,129,248,1) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.fc-event-main,
.fc-list-event.fc-event{
    cursor:pointer !important;
}

[aria-label][data-balloon-pos][data-balloon-pos="right"]:after,
[aria-label][data-balloon-pos][data-balloon-pos="left"]:after,
[aria-label][data-balloon-pos][data-balloon-pos="top"]:after,
[aria-label][data-balloon-pos][data-balloon-pos="bottom"]:after {
    border-radius: 6px;
}

.arrow-home-buttons{
    transform:translateX(0);
    transition:transform 0.5s;
}

.homebutton:hover .arrow-home-buttons{
    transform:translateX(5px);
}

.event-notgenerated{
    top:-8px;
    right:4px;
}

.fc-event{
    padding:10px;
}

.notifies{
    -webkit-animation-name: notifybounce;
    animation-name: notifybounce;
    -webkit-transform-origin: center bottom;
    transform-origin: center bottom;
    -webkit-animation-duration: 4s;
    animation-duration: 4s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    animation-iteration-count: infinite;
    z-index:50;
}

#mail-non-inviate_length{
    color:white;
}


input.invio-per-mail-toggle:before,
input.allega-documenti-toggle:before {
    content: '';
    position: absolute;
    width: 1.25rem;
    height: 1.25rem;
    border-radius: 50%;
    top: 0;
    left: 0;
    transform: scale(1.1);
    box-shadow: 0 0.125rem 0.5rem rgba(0, 0, 0, 0.2);
    background-color: white;
    transition: .2s ease-in-out;
}

input.invio-per-mail-toggle:checked,
input.allega-documenti-toggle:checked {
    background-color:#7f9cf5;
}

input.invio-per-mail-toggle:disabled,
input.allega-documenti-toggle:disabled {
    background-color:#ccc;
}

input.invio-per-mail-toggle:checked:before,
input.allega-documenti-toggle:checked:before {
    left: 1.25rem;
}

.subsection-button.active{
    color:#fff !important;
}


input.doc-type-radio:checked ~ .radio {
  color:white;
  background-color: rgba(129,140,248,1);
}


@-webkit-keyframes notifybounce {
    from,
    5%,
    13.25%,
    to {
        -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }

    10%,
    10.75% {
        -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        -webkit-transform: translate3d(0, -10px, 0) scaleY(1.1);
        transform: translate3d(0, -10px, 0) scaleY(1.1);
    }

    17.5% {
        -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        -webkit-transform: translate3d(0, -15px, 0) scaleY(1.05);
        transform: translate3d(0, -5px, 0) scaleY(1.05);
    }

    20% {
        -webkit-transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        -webkit-transform: translate3d(0, 0, 0) scaleY(0.95);
        transform: translate3d(0, 0, 0) scaleY(0.95);
    }

    22.5% {
        -webkit-transform: translate3d(0, -4px, 0) scaleY(1.02);
        transform: translate3d(0, -1px, 0) scaleY(1.02);
    }

    22.6% {
        -webkit-transform: translate3d(0, -4px, 0) scaleY(1.02);
        transform: translate3d(0, 0px, 0) scaleY(1.02);
    }

    100% {
        -webkit-transform: translate3d(0, -4px, 0) scaleY(1.02);
        transform: translate3d(0, 0px, 0) scaleY(1.02);
    }
}

@keyframes notifybounce {
    from,
    5%,
    13.25%,
    to {
        -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
    }

    10%,
    10.75% {
        -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        -webkit-transform: translate3d(0, -10px, 0) scaleY(1.1);
        transform: translate3d(0, -10px, 0) scaleY(1.1);
    }

    17.5% {
        -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
        -webkit-transform: translate3d(0, -15px, 0) scaleY(1.05);
        transform: translate3d(0, -5px, 0) scaleY(1.05);
    }

    20% {
        -webkit-transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        transition-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
        -webkit-transform: translate3d(0, 0, 0) scaleY(0.95);
        transform: translate3d(0, 0, 0) scaleY(0.95);
    }

    22.5% {
        -webkit-transform: translate3d(0, -4px, 0) scaleY(1.02);
        transform: translate3d(0, -1px, 0) scaleY(1.02);
    }

    22.6% {
        -webkit-transform: translate3d(0, -4px, 0) scaleY(1.02);
        transform: translate3d(0, 0px, 0) scaleY(1.02);
    }

    100% {
        -webkit-transform: translate3d(0, -4px, 0) scaleY(1.02);
        transform: translate3d(0, 0px, 0) scaleY(1.02);
    }
}

@media (max-width: 640px) {
    .fc .fc-toolbar{
        flex-wrap:wrap;
    }
}

.ql-editor{
    /*min-height:150px;*/
}


[v-cloak] {
    display: none;
}

table tbody tr.odd{
    background-color: #f9f9f9;
}

table tbody tr.even{
    background-color: #fff;
}

.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single {
    background-color: white;
    border: 1px solid rgb(209, 213, 219) !important;
    border-radius: 8px !important;
    cursor: text;
    padding: 4px !important;
    position: relative;
    min-height:40px !important;
}

.select2-dropdown {
    border: 1px solid rgb(209, 213, 219) !important;
    border-radius: 8px !important;
    overflow: hidden !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice,
.select2-container--default .select2-selection--single  {
    /*background-color: #e4e4e4;
    border: 1px solid #aaa;
    border-radius: 4px;
    box-sizing: border-box;
    display: inline-block;*/
    margin-left: 4px !important;
    margin-top: 4px !important;
    margin-bottom: 4px !important;
    padding: 0;
    padding-left: 20px;
    /*position: relative;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: bottom;
    white-space: nowrap;*/
}

.select2-container--default .select2-selection--single {
    margin-left: 0px !important;
}

.select2-container .select2-search--inline .select2-search__field {
    height: 26px !important;
    vertical-align: text-top !important;
    margin-top:0 !important;
}

.tool-box{
    min-height:180px;
}